CFPRIME FLODA5                                                          FLODA5      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE FLODA5 (LDUMP,KDEB,LFEPRI,ZILTOL,IUX,IEBK)             FLODA5      3
CD                                                                      FLODA5      4
CD    THIS SUBROUTINE READS A BPA POWER FLOW BINARY FILE.               FLODA5      5
CD                                                                      FLODA5      6
CD    THE CODING FOR READING LOAD FLOW BINARY FILE WAS ADDOPTED FROM    FLODA5      7
CD    BPA ROUTINE RDDTAI.                                               FLODA5      8
CD                                                                      FLODA5      9
CD THE LOAD FLOW DATA IS STORED IN THE PROGRAM IN THE FOLLOWING FORM:   FLODA5     10
CD                                                                      FLODA5     11
CD BUS DATA:                                                            FLODA5     12
CD --------                                                             FLODA5     13
CD                                                                      FLODA5     14
CD LET K BE THE LOADFLOW BUS NUMBER A BUS AND JJ=MNEW(K),THEN JJ        FLODA5     15
CD CAN BE USED TO RETRIEVE INFORMATION FROM THE FOLLOWING ARRAYS.       FLODA5     16
CD                                                                      FLODA5     17
CD GMWX(NB*2)  : ARRAY STORES THE GENERATOR REAL AND REACTIVE POWER.    FLODA5     18
CD               IT IS EQUIVALANCE TO ARRAYS GMW AND GMX.               FLODA5     19
CD                                                                      FLODA5     20
CD GMW(JJ+1)   : REAL POWER OF THE GENERATOR IN MW                      FLODA5     21
CD BMX(JJ+2)   : REACTIVE POWER OF THE GENERATOR IN MVAR                FLODA5     22
CD                                                                      FLODA5     23
CD BMWX(NB*4)  : ARRAY STORES THE LOAD BUS INFORMATION. IT IS           FLODA5     24
CD               EQUIVALENCE TO ARRAYS BMW ,BMX,IBAR AND XBASKV.        FLODA5     25
CD                                                                      FLODA5     26
CD BMW(JJ+1)   : REAL POWER IN MW                                       FLODA5     27
CD BMX(JJ+2)   : REACTIVE POWER IN MVAR                                 FLODA5     28
CD IBAR(JJ+3)  : AREA AND ZONE                                          FLODA5     29
CD XBASKV(JJ+4): BASE KV                                                FLODA5     30
CD                                                                      FLODA5     31
CD BUDAT(NB8)  : ARRAY STORES THE BUS INFORMATION. IT IS EQUIVALENCE    FLODA5     32
CD               TO ARRAYS ERBUS,EIBUS,BSTC,RYGR,RIYGR AND NAMES.       FLODA5     33
CD                                                                      FLODA5     34
CD ERBUS(JJ+1) : REAL PART OF BUS VOLTAGE                               FLODA5     35
CD EIBUS(JJ+2) : IMAGINARY PART OF BUS VOLTAGE                          FLODA5     36
CD BSTC(JJ+3)  : SWITCHING SHUNT                                        FLODA5     37
CD RYGR(JJ+4)  : REAL PART OF BUS SHUNT                                 FLODA5     38
CD RIYGR(JJ+5) : IMAGINARY PART OF BUS SHUNT                            FLODA5     39
CD NAMES(JJ+6) : FIRST 4 CHARACTERS OF THE BUS NAME                     FLODA5     40
CD NAMES(JJ+7) : SECOND 4 CHARACTERS OF THE BUS NAME                    FLODA5     41
CD NAMES(JJ+8) : LAST 4 CHARACTERS OF THE BUS NAME                      FLODA5     42
CD                                                                      FLODA5     43
CD                                                                      FLODA5     44
CD BRANCH DATA:                                                         FLODA5     45
CD -----------                                                          FLODA5     46
CD                                                                      FLODA5     47
CD LET N = THE N'TH BRANCH AND  JL = 5*N - 5 ,THEN                      FLODA5     48
CD                                                                      FLODA5     49
CD GBFT(NPL*5)   :  ARRAY STORES THE LINE INFORMATION. IT IS EQUIVALENCEFLODA5     50
CD                  TO ARRAYS LFTB,GA,BA AND BCHG.                      FLODA5     51
CD LFTB(JL+1)  : CIRCUIT ID, IN SERIVE STATUS                           FLODA5     52
CD LFTB(JL+2)  : FROM AND TO BUS NO.                                    FLODA5     53
CD GA(JL+3)    : LINE ADMITTANCE                                        FLODA5     54
CD BA(JL+4)    : LINE SUSCEPTANCE                                       FLODA5     55
CD BCHG(JL+5)  : LINE CHARGING                                          FLODA5     56
CD                                                                      FLODA5     57
CD ITRAN(NTR)    :  ARRAY STORES THE LOAD FLOW BUS NO. TRANSFORMER      FLODA5     58
CD ITRORD(NTR)   :  RESERVE FOR FUTURE USE                              FLODA5     59
CD TRANS(NTRX2)  :  ARRAY STORES THE TRANSFORMER INFORMATION.           FLODA5     60
CD                  IT IS EQUIVALENCE TO ARRAYS RANG AND RATIO          FLODA5     61
CD                                                                      FLODA5     62
CD LET N = THE N'TH TRANFORMER  AND JL = 2*N-2, THEN                    FLODA5     63
CD                                                                      FLODA5     64
CD RATIO(JL+1) : TRANSFORMER ONR                                        FLODA5     65
CD RANG(JL+2)  : PHASE SHIFTER ANGLE                                    FLODA5     66
CD                                                                      FLODA5     67
CD                                                                      FLODA5     68
CD ONRX(NB*9/6) :  ARRAY STORES THE ULTC INFORMATION. IT IS             FLODA5     69
CD                 EQUIVALENCE TO ARRAYS ISCFRM,ISCTO,ISCCID,           FLODA5     70
CD                 ISCCON, ONRMAX,ONRMIN,VOLMAX,VOLMIN AND STEP.        FLODA5     71
CD                                                                      FLODA5     72
CD LET N = THE N'TH ULTC AND  JL = 9*N-9, THEN                          FLODA5     73
CD                                                                      FLODA5     74
CD ISCFRM(JL+1) : FROM-BUS NO.                                          FLODA5     75
CD ISCTO(JL+2)  : TO-BUS NO.                                            FLODA5     76
CD ISCCID(JL+3) : CIRCUIT ID                                            FLODA5     77
CD ISCCON(JL+4) : CONTROL BUS NO.                                       FLODA5     78
CD ONRMAX(JL+5) : MAXIMUM ONR                                           FLODA5     79
CD ONRMIN(JL+6) : MINIMUM ONR                                           FLODA5     80
CD VOLMAX(JL+7) : MAXIMUM ULTC VOLTAGE                                  FLODA5     81
CD VOLMIN(JL+8) : MINUMUM ULTC VOLTAGE                                  FLODA5     82
CD STEP(JL+9)   : ULTC STEP SIZE                                        FLODA5     83
CD                                                                      FLODA5     84
CD CORTBL(220)   : ARRAY STORE THE IMPEDANCE CORRECTION TABLE           FLODA5     85
CD                                                                      FLODA5     86
CD                                                                      FLODA5     87
      INCLUDE 'PARX.INS'                                                FLODA5     88
      INCLUDE 'CNPARX.INS'                                              FLODA5     89
      INCLUDE 'CNLFDA.INS'                                              FLODA5     90
      INCLUDE 'CNMNEW.INS'                                              FLODA5     91
      INCLUDE 'CNREC1.INS'                                              FLODA5     92
      INCLUDE 'CNSELI.INS'                                              FLODA5     93
      INCLUDE 'CNPT.INS'                                                FLODA5     94
      INCLUDE 'CNB19.INS'                                               FLODA5     95
      INCLUDE 'CNIPTR.INS'                                              FLODA5     96
      INCLUDE 'CNUNIT.INS'                                              FLODA5     97
      INCLUDE 'EPBUS.INS'                                               FLODA5     98
      INCLUDE 'CNMSG.INS'                                               FLODA5     99
      INCLUDE 'GRDC01.INS'                                              FLODA5    100
      INCLUDE 'GRDC03.INS'                                              FLODA5    101
      INCLUDE 'GRPDCS.INS'                                              FLODA5    102
      INCLUDE 'UDCF.INS'                                                FLODA5    103
*IF VAX                                                                 FLODA5    104
*IF -MI2                                                                CNFLAG      2
*ENDIF                                                                  CNFLAG      4
*ENDIF                                                                  FLODA5   1552
*IF -VAX                                                                FLODA5   1553
      MSG(1)=' *** BPA LF INSTATLED FOR VAX/VMS VERSIONS ONLY ***'      FLODA5   1554
      CALL PRTMSG(1)                                                    FLODA5   1555
      RETURN                                                            FLODA5   1556
      END                                                               FLODA5   1557
*ENDIF                                                                  FLODA5   1558
